package com.cnbm.packing.entity;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 包装箱基板关联表 ( 基板表 )
 * </p>
 *
 * @author codeGenerator
 * @since 2023-02-21
 */
@Data
@TableName("t_wo_packaging_box_substrate")
@ApiModel(value = "WoPackagingBoxSubstrate对象", description = "包装箱基板关联表 ( 基板表 )")
public class WoPackagingBoxSubstrate implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("包装箱ID，BoxId")
    private String packagingBoxId;

    @ApiModelProperty("基板ID")
    private String woSubstrateId;

    @ApiModelProperty("创建人")
    private Long creatorId;

    @ApiModelProperty("创建人姓名")
    private String creatorName;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("更新人")
    private Long updaterId;

    @ApiModelProperty("更新人姓名")
    private String updaterName;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty("版本号")
    private Integer version;

    @ApiModelProperty("箱中位置")
    private Integer slot;

    @ApiModelProperty("进入时间")
    private LocalDateTime inputTime;

    @ApiModelProperty("删除标志，是否有效:1 可用 0不可用")
    @TableLogic
    private Integer valid;

    @ApiModelProperty("SAP MATERIAL,从t_wo_power_level 对应过来的")
    private String sapMaterial;

    @ApiModelProperty("线体,从t_wo_power_level 对应过来的，1=F ; 2=S")
    private Integer lineBody;

    @ApiModelProperty("功率等级")
    private String powerLevel;


    public static final String ID = "ID";

    public static final String PACKAGING_BOX_ID = "PACKAGING_BOX_ID";

    public static final String WO_SUBSTRATE_ID = "WO_SUBSTRATE_ID";

    public static final String CREATOR_ID = "CREATOR_ID";

    public static final String CREATOR_NAME = "CREATOR_NAME";

    public static final String CREATE_TIME = "CREATE_TIME";

    public static final String UPDATER_ID = "UPDATER_ID";

    public static final String UPDATER_NAME = "UPDATER_NAME";

    public static final String UPDATE_TIME = "UPDATE_TIME";

    public static final String VERSION = "VERSION";

    public static final String SLOT = "SLOT";

    public static final String INPUT_TIME = "INPUT_TIME";

    public static final String VALID = "VALID";

    public static final String SAP_MATERIAL = "SAP_MATERIAL";

    public static final String LINE_BODY = "LINE_BODY";

    public static final String POWER_LEVEL = "POWER_LEVEL";

}
